/* 全角文字列を半角文字列にする */

#include <string.h>
#include "defines.h"

int kacnvs(unchar *str1,unchar *str2,int mode)
{
unsint c;
unchar *buff;
	buff=str2;
	while ((c=*str1++)!=0) {
		if (!check_kanji1(c)) { /* 半角文字 */
			*buff++=c;
		} else { /* 全角文字 -> 半角文字 */
			c=kacnv((c<<8)|*str1++,mode);
			if (c>=256) *buff++=(c>>8); /* 変換できなかった/濁点,半濁点があった */
			*buff++=(unchar)c; /* 変換できた */
		}
	}
	*buff=0;
	return(strlen(str2));
}
